X2Go Bug report logs - #445
x2goserver Xsession support broken on Gentoo system

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: Stefan Radermacher <stefan@zaister.de>

Date: Tue, 4 Mar 2014 11:40:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.1.13

Fixed in version 4.0.1.14

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#445; Package x2goserver-xsession. (Tue, 04 Mar 2014 11:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Radermacher <stefan@zaister.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Tue, 04 Mar 2014 11:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Stefan Radermacher <stefan@zaister.de>
To: submit@bugs.x2go.org
Subject: x2goserver Xsession support broken on Gentoo system
Date: Tue, 04 Mar 2014 12:39:02 +0100
[Message part 1 (text/plain, inline)]
Package: x2goserver-xsession
Version: 4.0.1.13

After Gentoo has removed version 4.0.1.6 from its repository, I was
forced to update my installation of x2goserver. However, I cannot
connect to the machine from a a remote system anymore. I have tried
starting KDE and XCFE sessions, but both kind of sessions are terminated
immediately. I can, however, start individual applications, such as
Konsole, Thunderbird, or even Steam remotely.

System configuration is as follows
on server: x2goserver 4.0.1.13, nx 3.5.0.22
on remote: x2goclient 4.0.1.3

As instructed by sunweaver on irc, I'm attaching Gentoo's current
/etc/X11/Sessions/Xsession script.

You can test for Gentoo by checking /etc/gentoo-release.
[Xsession (text/plain, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#445; Package x2goserver-xsession. (Sat, 29 Mar 2014 00:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 29 Mar 2014 00:20:02 GMT) (full text, mbox, link).


Message #10 received at 445@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 445-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 445@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Sat, 29 Mar 2014 01:16:54 +0100 (CET)
tag #445 pending
fixed #445 4.0.1.14
thanks

Hello,

X2Go issue #445 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=36c4935

The issue will most likely be fixed in src:x2goserver (4.0.1.14).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 36c4935309aea7e42d7674702baa173a1784ec7f
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Mar 29 01:16:48 2014 +0100

    Provide proper Gentoo support in x2goserver-xsession portion of X2Go Server. (Fixes: #445).

diff --git a/debian/changelog b/debian/changelog
index 2a8a394..9d29bf1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -18,6 +18,8 @@ x2goserver (4.0.1.14-0x2go1) UNRELEASED; urgency=low
       to be removed.
     - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
       #441).
+    - Provide proper Gentoo support in x2goserver-xsession portion of
+      X2Go Server. (Fixes: #445).
   * x2goserver.spec:
     - Let builds for EPEL-7 behave like recent Fedora builds.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 29 Mar 2014 00:20:05 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.1.14. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 29 Mar 2014 00:20:05 GMT) (full text, mbox, link).


Message sent on to Stefan Radermacher <stefan@zaister.de>:
Bug#445. (Sat, 29 Mar 2014 00:20:06 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#445; Package x2goserver-xsession. (Wed, 02 Apr 2014 12:35:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 12:35:04 GMT) (full text, mbox, link).


Message #22 received at 445@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 445-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 445@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Wed, 2 Apr 2014 14:33:32 +0200 (CEST)
close #445
thanks

Hello,

we are very hopeful that X2Go issue #445 reported by you
has been resolved in the new release (4.0.1.14) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.14)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4659cbf3ae4069b94c443fe7c2872eae9051f45b;hp=66eb1b0f5e124a282ebad236068ee7f2deda0f49

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.14-0x2go1
Status: RELEASE
Date: Wed, 02 Apr 2014 14:32:39 +0200
Fixes: 409 414 415 424 428 441 445
Changes: 
 x2goserver (4.0.1.14-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.1.14):
     - Log SSHFS output and errors to ~/.x2go/C-<session>/sshfs-mounts.log.
       (Fixes: #415).
     - If x2golistmounts is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - If x2goumount-session is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - Fix x2gostartagent. Make sure the -nolisten tcp option is configurable
       via x2goagent.options. (Fixes: #424).
     - Safely remove desktop files for client-side shared folders. Remove
       the correct desktop file, even if the shared folder has already
       been (forcefully) umounted. Such situations occur in cases where
       the connection gets interrupted. SSHFS will then get removed by the
       Linux kernel and we have to "guess" what desktop icons is actually
       to be removed.
     - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
       #441).
     - Provide proper Gentoo support in x2goserver-xsession portion of
       X2Go Server. (Fixes: #445).
     - x2gofm.desktop: Drop obsolete Encoding key from .desktop file.
     - Fix typos / hyphen-as-minus signs issues in x2goversion.8 and
       x2gomountdirs.8.
   * x2goserver.spec:
     - Let builds for EPEL-7 behave like recent Fedora builds.
     - Spcial handling of x2gofm.desktop. In EPEL-5 the Encoding key
       is still required for .desktop files.
   * debian/*.doc-base:
     + Provide *.doc-base files for bin:packages containing HTML man pages
       or other documentation.
   * debian/x2goserver.init:
     + Add status option for init script (test if x2gocleansessions is
       running or not).
     + Add Description key to LSB header.
   * debian/config:
     + Explicitly call set -e. Makes lintian happier.
   * debian/rules:
     + Detect Git-created ChangeLog file if present (created by X2Go
       upstream's build scripts during package build).
 .
   [ Harald Nordgard-Hansen ]
   * New upstream release (4.0.1.14):
     - Correctly quote the tests against $DISTRIB_RELEASE in x2goruncommand that
       were badly quoted (which caused them to report the wrong result and to
       create a file called "=" in the user home directory). Aligning all tests
       to use the same style of quoting fixes this. (Fixes: #409).
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.1.14):
     - Fix wrong path to xinitrd.d in Xsession (section for RPM based distros).
       Also, add some existence/readability checking. (Fixes: #414).
     - Fix the x2goserver.service unit file. Allow systemd to track the service
       after startup. (Fixes: #428).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 02 Apr 2014 12:35:05 GMT) (full text, mbox, link).


Notification sent to Stefan Radermacher <stefan@zaister.de>:
Bug acknowledged by developer. (Wed, 02 Apr 2014 12:35:05 GMT) (full text, mbox, link).


Message sent on to Stefan Radermacher <stefan@zaister.de>:
Bug#445. (Wed, 02 Apr 2014 12:35:08 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 01 May 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Oct 16 20:07:03 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.